Subject: bug#52126: Problematic characters in info node names

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 29 Nov 2021 17:03:03 +0100

Stefan Kangas <[email-masked]> writes:

> ** Manuals
> Check for node names using problematic characters:
>   find doc -name '*.texi' -exec grep '^@node[^,]*[:.()]' {} +
> Sadly makeinfo does not warn about such characters.
>
> Running that gives me some matches:
>
> doc/misc/modus-themes.texi:@node Advanced customization (do-it-yourself)
> doc/misc/modus-themes.texi:@node Per-theme customization settings (DIY)

(etc)

I think this has to be fixed in the Modus manual, so I've added
Protesilaos to the CCs.  (The issue is that parentheses aren't valid in
texinfo node names, apparently.)

> doc/misc/org.texi:@node Hooks (2)

And in the Org manual, so I've added Kyle to the CCs, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no